Skip to content
vocapable.Docs

Your availability as the phone system sees it (one truth)

GET
/v1/mobile/workspace/me/availability
curl --request GET \
--url https://api.vocapable.com/v1/mobile/workspace/me/availability \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
WorkspaceAvailability

What the dispatcher, the receptionist’s transfer and the team page all read.

object
state
required
State
string
Allowed values: available away offline do_not_disturb off_hours after_call_work
presence_state
required
Any of:
string
Allowed values: available away offline
presence_until
required
Any of:
string format: date-time
dnd_until
required
Any of:
string format: date-time
in_working_hours
required
Any of:
boolean
changes_at
required
Any of:
string format: date-time
time_off_until
Any of:
string format: date-time
ring_preference
required
Ring Preference
string
Allowed values: app_then_phone phone_only app_only
app_ready
required
App Ready
boolean
phone_ready
required
Phone Ready
boolean
rings_app
required
Rings App
boolean
rings_phone
required
Rings Phone
boolean
Example
{
"state": "available",
"presence_state": "available",
"ring_preference": "app_then_phone"
}